<!--  Published by JAX-WS RI (http://jax-ws.java.net). RI's version is JAX-WS RI 2.3.0-wls122140-b230824.1031 svn-revision#e4bad6ac24018736698e2952f77e76e7f403a9f1.  -->
<wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://goodsNomenclatureForWS.ws.taric.dds.s/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.xmlsoap.org/wsdl/" targetNamespace="http://goodsNomenclatureForWS.ws.taric.dds.s/" name="GoodsNomenclatureForWS">
    <wsdl:types>
        <xsd:schema xmlns:ns0="http://goodsNomenclatureForWS.ws.taric.dds.s/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://goodsNomenclatureForWS.ws.taric.dds.s/">
            <xsd:include schemaLocation="https://ec.europa.eu/taxation_customs/dds2/taric/services/goods?xsd=1"/>
            <xsd:complexType name="goodsDescrForWs">
                <xsd:sequence>
                    <xsd:element ref="ns0:goodsCode"/>
                    <xsd:element ref="ns0:languageCode"/>
                    <xsd:element ref="ns0:referenceDate" minOccurs="0"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="goodsDescrForWsResponse">
                <xsd:sequence>
                    <xsd:element name="return" type="ns0:goodsDescriptionForWsResult" minOccurs="0"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="goodsDescrForWsResponse" type="ns0:goodsDescrForWsResponse"/>
            <xsd:element name="goodsDescrForWs" type="ns0:goodsDescrForWs"/>
            <xsd:complexType name="goodsMeasForWs">
                <xsd:sequence>
                    <xsd:element ref="ns0:goodsCode"/>
                    <xsd:element ref="ns0:countryCode"/>
                    <xsd:element ref="ns0:referenceDate" minOccurs="0"/>
                    <xsd:element ref="ns0:tradeMovement" minOccurs="0"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:complexType name="goodsMeasForWsResponse">
                <xsd:sequence>
                    <xsd:element name="return" type="ns0:goodsMeasuresForWsResult" minOccurs="0"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="goodsMeasForWsResponse" type="ns0:goodsMeasForWsResponse"/>
            <xsd:element name="goodsMeasForWs" type="ns0:goodsMeasForWs"/>
        </xsd:schema>
    </wsdl:types>
    <wsdl:message name="goodsDescrForWs">
        <wsdl:part name="parameters" element="tns:goodsDescrForWs"/>
    </wsdl:message>
    <wsdl:message name="goodsDescrForWsResponse">
        <wsdl:part name="parameters" element="tns:goodsDescrForWsResponse"/>
    </wsdl:message>
    <wsdl:message name="goodsMeasForWs">
        <wsdl:part name="parameters" element="tns:goodsMeasForWs"/>
    </wsdl:message>
    <wsdl:message name="goodsMeasForWsResponse">
        <wsdl:part name="parameters" element="tns:goodsMeasForWsResponse"/>
    </wsdl:message>
    <wsdl:portType name="GoodsNomenclatureForWs">
        <wsdl:operation name="goodsDescrForWs">
            <wsdl:input name="goodsDescrForWs" message="tns:goodsDescrForWs"/>
            <wsdl:output name="goodsDescrForWsResponse" message="tns:goodsDescrForWsResponse"/>
        </wsdl:operation>
        <wsdl:operation name="goodsMeasForWs">
            <wsdl:input name="goodsMeasForWs" message="tns:goodsMeasForWs"/>
            <wsdl:output name="goodsMeasForWsResponse" message="tns:goodsMeasForWsResponse"/>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="GoodsNomenclatureForWsImplPortBinding" type="tns:GoodsNomenclatureForWs">
        <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
        <wsdl:operation name="goodsDescrForWs">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="goodsMeasForWs">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input>
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output>
                <soap:body use="literal"/>
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="GoodsNomenclatureForWs">
        <wsdl:port name="GoodsNomenclatureForWsImplPort" binding="tns:GoodsNomenclatureForWsImplPortBinding">
            <soap:address location="https://ec.europa.eu/taxation_customs/dds2/taric/services/goods"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>